## WebKitDOMHTMLDetailsElement

WebKitDOMHTMLDetailsElement

## Functions

gboolean | webkit_dom_html_details_element_get_open ()
void | webkit_dom_html_details_element_set_open ()

## Properties

gboolean | open | Read / Write

## Types and Values

| WebKitDOMHTMLDetailsElement

## Object Hierarchy

        GObject
        ╰── WebKitDOMObject
            ╰── WebKitDOMNode
                ╰── WebKitDOMElement
                    ╰── WebKitDOMHTMLElement
                        ╰── WebKitDOMHTMLDetailsElement

## Implemented Interfaces

WebKitDOMHTMLDetailsElement implements WebKitDOMEventTarget.

## Description

## Functions

### webkit_dom_html_details_element_get_open ()

    gboolean
    webkit_dom_html_details_element_get_open
                                   (WebKitDOMHTMLDetailsElement *self);

#### Parameters

self | A WebKitDOMHTMLDetailsElement |

#### Returns

A gboolean

### webkit_dom_html_details_element_set_open ()

    void
    webkit_dom_html_details_element_set_open
                                   (WebKitDOMHTMLDetailsElement *self,
                                    gboolean value);

#### Parameters

self | A WebKitDOMHTMLDetailsElement |
value | A gboolean |

## Types and Values

### WebKitDOMHTMLDetailsElement

    typedef struct _WebKitDOMHTMLDetailsElement WebKitDOMHTMLDetailsElement;

## Property Details

### The `“open”` property

      “open”                     gboolean

read-write gboolean HTMLDetailsElement:open.

Flags: Read / Write

Default value: FALSE